Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8055 - lpd dies after printing one job.
Summary: lpd dies after printing one job.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-29 21:38 UTC by estes
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-19 16:02:37 UTC


Attachments (Terms of Use)

Description estes 1999-12-29 21:38:15 UTC
On two separate systems (one 6.0 and one 6.1) the only time I can get lpd
to print anything, is if the job is in the queue and I restart lpd.  If
two jobs are in the queue, they both print.  However, the next print
request is rejected:

lpr: connect: Connection refused
jobs queued, but cannot start daemon.

I upgraded to the rawhide packages:
  rhs-printfilters-1.58-1.i386.rpm
  lpr-0.47-1.i386.rpm

and have:
  alias parport_lowlevel parport_pc

in /etc/conf.modules.

After the print job is rejected, there are still 2 lpd processes running.
The listing from lsmod doesn't seem to have changed either:

Module                  Size  Used by
parport_pc              5012   0  (autoclean)
parport                 7092   0  (autoclean) [parport_pc]
autofs                  9028   1  (autoclean)
nfs                    29944   5  (autoclean)
nfsd                  150936   8  (autoclean)
lockd                  30856   1  (autoclean) [nfs nfsd]
sunrpc                 52356   1  (autoclean) [nfs nfsd lockd]
3c59x                  18920   1  (autoclean)
nls_iso8859-1           2020   1  (autoclean)
nls_cp437               3548   1  (autoclean)
vfat                   11516   1  (autoclean)
fat                    25664   1  (autoclean) [vfat]
opl3                   11208   0
sb                     33204   0
uart401                 5968   0  [sb]
sound                  57208   0  [opl3 sb uart401]
soundlow                 300   0  [sound]
soundcore               2372   6  [sb sound]

That's about all I can think of to check.

-R

Comment 1 Bernhard Rosenkraenzer 2000-01-19 16:02:59 UTC
Should be fixed in lpr 0.50


Note You need to log in before you can comment on or make changes to this bug.